EDIT - bug #6088

New reproducable multiple representations exception for name relationships
09/15/2016 04:52 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal Found in Version: Release 4.3
Description

What | did:

e Goto name bulk editor and create 2 new names: Related name One and Related name Two.

¢ Make Related name One a blocking name for Related name Two, save and close name bulk editor

e Create a new Taxon Multiple reps Error

¢ In open name editor add a basionym relationship by making Multiple reps Error a basionym for Related name Two

Open this name relationship in supplemental data view (by clicking somewhere in the name relationship, it must become blue)
Add an annotation

Save => Error

login : admin
editor version : 4.3.0.201609141050
server : test.e-taxonomy.eu / edit-test
schema version : 4.0.0.0.201604200000
os : Windows Server 2012 6.2 amd64
jJava : 1.7.0_65
java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxonomy.cdm.mod
el.name.BotanicalName#16196] are being merged. Detached: [Related name Two]; Detached: [Related na
me Two]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotA
llowedObserver. java:37)

at org.hibernate.event.internal.MergeContext.put (MergeContext. java:245)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:304)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:431)

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:363)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:326)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ava:256)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:206)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:36)

at sun.reflect.GeneratedMethodAccessorl800.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:110)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy620.merge (Unknown Source)

at sun.reflect.GeneratedMethodAccessorl800.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting. support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy829.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemotelInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemoteIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet.java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:808)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)
at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (Anon
ymousAuthenticationFilter. java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.authentication.ui.DefaultLoginPageGeneratingFilter.doFilte
r (DefaultLoginPageGeneratingFilter. java:162)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter.doFi
lter (AbstractAuthenticationProcessingFilter.java:205)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21
3)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26
2)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)
eu.etaxonomy.taxeditor.editor.TaxonEditorInput.merge (TaxonEditorInput.java:457)

eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor.doSave (MultiPageTaxonEditor. java:147)
ui.internal.SaveableHelper$2.run (SaveableHelper. java:151)
ui.internal.SaveableHelper$5.run (SaveableHelper. java:277)
jface.operation.ModalContext.runInCurrentThread (ModalContext.java:464)
jface.operation.ModalContext.run (ModalContext.java:372)
jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)
swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)
jface.window.ApplicationWindow.run (ApplicationWindow. java:756)
ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2649)
ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:285)
ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:264)
ui.internal.SaveableHelper.savePart (SaveableHelper.java:156)
ui.internal.EditorManager.savePart (EditorManager. java:1399)
ui.internal.WorkbenchPage.savePart (WorkbenchPage. java:3416)
ui.internal.WorkbenchPage.saveEditor (WorkbenchPage.java:3429)
ui.internal.handlers.SaveHandler.execute (SaveHandler. java:54)
ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)
core.commands.Command.executeWithChecks (Command. java:476)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:

ui.internal.handlers.HandlerService.executeCommand (HandlerService. java:169)
ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService. jav

ui.menus.CommandContributionItem.handleWidgetSelection (CommandContributionItem.

ui.menus.CommandContributionItem.access$19 (CommandContributionItem. java:815)
ui.menus.CommandContributionItem$5.handleEvent (CommandContributionItem. java:805

swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Widget.sendEvent (Widget.java:1053)
swt.widgets.Display.runDeferredEvents (Display.java:4165)
swt.widgets.Display.readAndDispatch (Display. java:3754)
ui.internal.Workbench.runEventLoop (Workbench. java:2701)
ui.internal.Workbench.runUI (Workbench. java:2665)
ui.internal.Workbench.access$4 (Workbench. java:2499)
ui.internal.Workbench$7.run (Workbench. java:679)
core.databinding.observable.Realm.runWithDefault (Realm. java:332)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
79)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:179)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

found in nightly of 4.3

Associated revisions

Revision 1b127be6 - 03/27/2017 01:55 PM - Katja Luther

fix #6088: remove the session from the nameRelationSection fixes the multiple representation problem

History

#3 - 09/26/2016 09:39 AM - Katja Luther

| think | could find when this exception occurs: Always when using a name already opened in bulk editor to create the name relationship the multipe
representation exception is thrown.

#4 - 10/24/2016 05:30 PM - Patrick Plitzner

| found another way to reproduce this:

1. Open taxon in name editor

2. Add a new name relation (do NOT save)

3. Change the name of the taxon to any other name (do NOT save)
4. Add another name relation (the other one dissapeared in my case)
5. Save -> lllegalStateException

#5 - 01/25/2017 12:45 PM - Katja Luther

Hallo,
das erste der letzten Mittwoch gemeldeten Probleme habe ich nun auch in einem zweiten Fall, scheint also nicht nur ein individuelles Datenproblem
zu sein, sondern ein echter bug.

Der Fall ist Soroseris glomerata. Hier habe ich aufgrund neuerer Daten Anderungen in der homotypischen Synonymie vorgenommen und kann jetzt
keine neue Basionym-Beziehung zwischen Crepis glomerata und Soroseris glomerata abspeichern, nachstehende Fehlermeldung erscheint.

Beste Grif3e,

Norbert
login : ki
editor version : 4.5.0

server : api.cybertaxonomy.org (cybertaxonomy.org) / cichorieae
schema version : 4.1.0.0.201607300000
os : Windows 7 6.1 amdé4
java : 1.8.0_111
java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxonomy.cdm.model.name.Bota
nicalName#19773] are being merged. Detached: [Soroseris glomerata (C. B. Clarke) Stebbins]; Detached: [Soroser
is glomerata (C. B. Clarke) Stebbins]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotA
llowedObserver. java:37)

at org.hibernate.event.internal.MergeContext.put (MergeContext. java:245)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:304)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade. java:111)
.run (ModalContext.java:372)
#6 - 01/25/2017 12:45 PM - Katja Luther

Hallo,

jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)
swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)
jface.window.ApplicationWindow.run (ApplicationWindow. java:756)
ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2649)
ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:285)
ul.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:264)
ui.internal.SaveableHelper.savePart (SaveableHelper.java:156)
ui.internal.EditorManager.savePart (EditorManager.java:1399)
uil.internal.WorkbenchPage.savePart (WorkbenchPage. java:3416)

das Problem beim Speichern von Name Relationships ( s.u. "Multiple representations of the same entity") scheint verbreiteter zu sein.

Habe es auch bei Crepidiastrum denticulatum subsp. ramosissimum:

mdchte fur Lactuca ramosissima (Benth. ) Baker & S. Moore die Relationship eingeben "is later homonym of" .... beim Abspeichern erscheint
Feldermeldung wie unten und Speichern ist nicht méglich

Beste GriiB3e,
Norbert

#7 - 02/27/2017 09:41 AM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 4.7

#8 - 03/27/2017 01:57 PM - Katja Luther

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|1b127be6e5ec70fdcadce991f0a9fd154953e1fe.

#9 - 03/29/2017 10:52 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#10 - 05/04/2017 12:41 AM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

Seems to work

#11 - 02/21/2020 10:54 AM - Andreas Kohlbecker

- Tags set to multiple-representations-problem
